MalformedEndpointException (Mule ESB 2.2.1 API)
Keywords: org.mule.api.endpoint.MalformedEndpointException class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.api.endpoint
Class MalformedEndpointException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.mule.api.MuleException
                  org.mule.api.endpoint.EndpointException
                      org.mule.api.endpoint.MalformedEndpointException

All Implemented Interfaces:
  Serializable

    public class MalformedEndpointException

extends EndpointException

`MalformedEndpointException` is thrown by the MuleEndpointURI class if it fails to parse a Url

See Also:
  `MuleEndpointURI`, Serialized Form

Constructor Summary
`MalformedEndpointException(Message message, String endpoint)`
`MalformedEndpointException(String endpoint)`
`MalformedEndpointException(String endpoint, Throwable cause)`
`MalformedEndpointException(Throwable cause)`

Method Summary

Methods inherited from class org.mule.api.MuleException
`addInfo, appendMessage, equals, getDetailedMessage, getExceptionCode, getI18nMessage, getInfo, getMessage, getMessageCode, hashCode, initialise, prependMessage, setExceptionCode, setMessage, setMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MalformedEndpointException

    public MalformedEndpointException(String endpoint)

Parameters:
  `endpoint` - the endpoint that could not be parsed

### MalformedEndpointException

    public MalformedEndpointException(Message message,
                                      String endpoint)

Parameters:
  `endpoint` - the endpoint that could not be parsed

### MalformedEndpointException

    public MalformedEndpointException(String endpoint,
                                      Throwable cause)

Parameters:
  `endpoint` - the endpoint that could not be parsed
  `cause` - the exception that cause this exception to be thrown

### MalformedEndpointException

    public MalformedEndpointException(Throwable cause)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.